## ros-eloquent-urg-node 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(urg_node)

find_package(ament_cmake REQUIRED)

if(WIN32)
  message(WARNING "${PROJECT_NAME} is currently not supported on Windows")
  ament_package()
  return()
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# we currently still rely on boost for its `crc` component
# unfortunately, I haven't found a way to incorporate only crc
# as a single components, hence including `thread` here.
find_package(Boost COMPONENTS thread REQUIRED)
find_package(diagnostic_updater REQUIRED)
find_package(laser_proc REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_srvs REQUIRED)
find_package(urg_c REQUIRED)
find_package(urg_node_msgs REQUIRED)

add_library(urg_node SHARED
  src/urg_c_wrapper.cpp
  src/urg_node.cpp
)
target_include_directories(urg_node
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
  ${Boost_INCLUDE_DIR}
)
target_link_libraries(urg_node ${Boost_LIBRARIES})
ament_target_dependencies(urg_node
  diagnostic_updater
  laser_proc
  rclcpp
  rclcpp_components
  sensor_msgs
  std_srvs
  urg_c
  urg_node_msgs
)
rclcpp_components_register_node(urg_node
  PLUGIN "urg_node::UrgNode"
  EXECUTABLE urg_node_driver)

add_executable(getID src/get_id.cpp)
target_link_libraries(getID urg_node)

install(TARGETS urg_node getID
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY include/
  DESTINATION include
)

install(PROGRAMS scripts/set_urg_ip.py
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_dependencies(urg_node_msgs)
ament_export_dependencies(
  diagnostic_updater
  laser_proc
  rclcpp
  sensor_msgs
  std_srvs
  urg_c
)
ament_export_include_directories(include)
ament_export_libraries(urg_node)
ament_package()

=== debian/changelog ===
ros-eloquent-urg-node (1.0.1-1bionic) bionic; urgency=high

  * node name is now urg_node_driver (#70 <https://github.com/ros-drivers/urg_node/issues/70>)
    The node was renamed as part of the composable refactor
    At runtime, it still defaults to urg_node as the graph
    name
  * call run in a thread, fixes #66 <https://github.com/ros-drivers/urg_node/issues/66> (#71 <https://github.com/ros-drivers/urg_node/issues/71>)
  * add myself as maintainer for ros2 (#73 <https://github.com/ros-drivers/urg_node/issues/73>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 10 Jun 2020 04:00:00 -0000

ros-eloquent-urg-node (1.0.0-1bionic) bionic; urgency=high

  * migrate ros2 devel (#50 <https://github.com/ros-drivers/urg_node/issues/50>)
  * Merge pull request #42 <https://github.com/ros-drivers/urg_node/issues/42> from BadgerTechnologies/detect-time-warp-and-reset
  * synchronize_time: reset when clock is warped
  * Merge pull request #41 <https://github.com/ros-drivers/urg_node/issues/41> from BadgerTechnologies/synchronize-time
  * synchronize system clock to hardware time
  * Add Travis config.
  * Fixed linter errors.
  * Contributors: Aarush Gupta, aswinthomas, Brett, C. Andy Martin, Chris Lalancette, Gu Chao Jie, Karsten Knese, Marc-Antoine Testier, Tony Baltovski, Zoe

 -- Tony Baltovski <tony.baltovski@gmail.com>  Tue, 24 Mar 2020 04:00:00 -0000

ros-eloquent-urg-node (0.1.11-1bionic) bionic; urgency=high

  * Add support for URG-04LX in SCIP 1.1 mode
    The urg_node does not support SCIP 1.1. The Hokuyo URG-04LX supports both
    SCIP 1.1 and SCIP 2.0, but needs to be switched to SCIP 2.0 at every startup
    in its default configuration. For this purpose the function
    URGCWrapper::setToSCIP2() was added.
    A URG-04LX in SCIP 1.1 mode used to lead to an exception being thrown in
    URGCwrapper::initialize. Now, before throwing the exception an attempt to
    switch the sensor to SCIP 2.0 is made.
  * Fixed comments in launch file and added roslaunch.
  * Add flag to prevent updating of detailed status.
    If using a model that does not support AR00 command, hide it
    behind a rosparam.
  * Add safety stop heading and distance values (#28 <https://github.com/ros-drivers/urg_node/issues/28>)
    Added to the laser status field the last report of a safety
    stop of distance and angle reported. If this fails or is unavailable
    it will just report 0.
  * Updating depend and roslint.
    Fixing some roslint error after moving a header name.
    Additionally fixing the gencfg to be on the lib and not the node.
  * Adding missing std_srvs depend.
    Adding missing std_srvs depend to package.xml and CMakelists.txt
  * Move urg_node to be a library.
    Moving urg_node to urg_node_driver as a library.
    This allows for other nodes to include this as an object instead
    of spawning another separate process.
  * Add getAR00 status command.
    Added ability to pull the status of the lidar AR00 status command.
    This then publishes a latched topic with the current status of the
    lidar's error code and lockout status.
  * Update urg_node to be a self contained class
    Updating urg node to be a self contained class. This allows
    for it to be imported in other nodes.
  * Roslint
  * Contributors: Benjamin Scholz, Mike O'Driscoll, Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Tue, 17 Oct 2017 04:00:00 -0000

ros-eloquent-urg-node (0.1.10-1bionic) bionic; urgency=high

  * Updated maintainer.
  * Error handling for connection failures
  * Created urg_lidar.launch
  * Installed getID
  * Contributors: Eric Tappan, Jeff Schmidt, Kei Okada, Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Tue, 21 Mar 2017 04:00:00 -0000

ros-eloquent-urg-node (0.1.9-1bionic) bionic; urgency=high

  * Merge pull request #7 <https://github.com/ros-drivers/urg_node/issues/7> from mikeferguson/indigo-devel
    add a script to set the IP address of an URG laser
  * Updated diagnostics to support configurable parameters.
  * add a script to set the IP address of an URG laser
  * Contributors: Chad Rockey, Michael Ferguson

 -- Tony Baltovski <tony.baltovski@gmail.com>  Wed, 13 Aug 2014 04:00:00 -0000

ros-eloquent-urg-node (0.1.8-1bionic) bionic; urgency=high

  * Merge pull request #6 <https://github.com/ros-drivers/urg_node/issues/6> from mikeferguson/indigo-devel
    Add default device status on UST-20LX
  * Add default device status on UST-20LX
  * Contributors: Chad Rockey, Michael Ferguson

 -- Tony Baltovski <tony.baltovski@gmail.com>  Mon, 16 Jun 2014 04:00:00 -0000

ros-eloquent-urg-node (0.1.7-1bionic) bionic; urgency=high

  * Added more robust plug/unplug reconnect behavior.
  * Added more robustness and the ability to continually reloop and reconnect until node is shutdown.
  * Fix initialization crash.
  * Install fix for Android.
  * Missed a willowgarage email.
  * Contributors: Chad Rockey

 -- Tony Baltovski <tony.baltovski@gmail.com>  Mon, 21 Apr 2014 04:00:00 -0000

ros-eloquent-urg-node (0.1.6-1bionic) bionic; urgency=high

  * Added getID executable for udev users.

 -- Tony Baltovski <tony.baltovski@gmail.com>  Thu, 24 Oct 2013 04:00:00 -0000

ros-eloquent-urg-node (0.1.5-1bionic) bionic; urgency=high

  * Missing diagnostic_updater depend

 -- Tony Baltovski <tony.baltovski@gmail.com>  Thu, 22 Aug 2013 04:00:00 -0000

ros-eloquent-urg-node (0.1.4-1bionic) bionic; urgency=high

  * Merge pull request #2 <https://github.com/ros-drivers/urg_node/issues/2> from mitll-ros-pkg/diagnostics
    Added diagnostics to the URG Node.
  * Added diagnostics to the URG Node.

 -- Tony Baltovski <tony.baltovski@gmail.com>  Thu, 22 Aug 2013 04:00:00 -0000

ros-eloquent-urg-node (0.1.3-1bionic) bionic; urgency=high

  * No more Willow Garage email.

 -- Tony Baltovski <tony.baltovski@gmail.com>  Wed, 21 Aug 2013 04:00:00 -0000

ros-eloquent-urg-node (0.1.2-1bionic) bionic; urgency=high



=== debian/control ===
Source: ros-eloquent-urg-node
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mfergs7@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-eloquent-ament-cmake, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-builtin-interfaces, ros-eloquent-diagnostic-updater, ros-eloquent-laser-proc, ros-eloquent-rclcpp, ros-eloquent-rclcpp-components, ros-eloquent-rosidl-default-generators, ros-eloquent-sensor-msgs, ros-eloquent-std-srvs, ros-eloquent-urg-c, ros-eloquent-urg-node-msgs, ros-eloquent-ros-workspace
Homepage: http://ros.org/wiki/urg_node
Standards-Version: 3.9.2

Package: ros-eloquent-urg-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-eloquent-builtin-interfaces, ros-eloquent-diagnostic-updater, ros-eloquent-laser-proc, ros-eloquent-rclcpp, ros-eloquent-rclcpp-components, ros-eloquent-rosidl-default-generators, ros-eloquent-sensor-msgs, ros-eloquent-std-srvs, ros-eloquent-urg-c, ros-eloquent-urg-node-msgs, ros-eloquent-ros-workspace
Description: urg_node

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-urg-node//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
